#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'smtpaccountwidget_base.ui'
**
** Created: 2013-08-05T17:31:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "smtpaccountwidget_base.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <knuminput.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KNConfig::SmtpAccountWidgetBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
KNConfig::SmtpAccountWidgetBase::SmtpAccountWidgetBase( QWidget* parent,  const char* name )
    : KCModule( parent, name )
{
    if ( !name )
	setName( "SmtpAccountWidgetBase" );
    SmtpAccountWidgetBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "SmtpAccountWidgetBaseLayout"); 

    mUseExternalMailer = new QCheckBox( this, "mUseExternalMailer" );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mUseExternalMailer, 0, 0, 0, 2 );

    mServerLabel = new QLabel( this, "mServerLabel" );

    SmtpAccountWidgetBaseLayout->addWidget( mServerLabel, 1, 0 );

    mPortLabel = new QLabel( this, "mPortLabel" );

    SmtpAccountWidgetBaseLayout->addWidget( mPortLabel, 2, 0 );

    mUserLabel = new QLabel( this, "mUserLabel" );

    SmtpAccountWidgetBaseLayout->addWidget( mUserLabel, 4, 0 );

    mPasswordLabel = new QLabel( this, "mPasswordLabel" );

    SmtpAccountWidgetBaseLayout->addWidget( mPasswordLabel, 5, 0 );

    mLogin = new QCheckBox( this, "mLogin" );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mLogin, 3, 3, 0, 2 );
    mSpacer = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SmtpAccountWidgetBaseLayout->addItem( mSpacer, 7, 2 );

    mPassword = new KLineEdit( this, "mPassword" );
    mPassword->setEchoMode( KLineEdit::Password );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mPassword, 5, 5, 1, 2 );

    mUser = new KLineEdit( this, "mUser" );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mUser, 4, 4, 1, 2 );

    mPort = new KIntNumInput( this, "mPort" );
    mPort->setValue( 25 );
    mPort->setMinValue( 0 );
    mPort->setMaxValue( 65536 );

    SmtpAccountWidgetBaseLayout->addWidget( mPort, 2, 1 );

    mServer = new KLineEdit( this, "mServer" );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mServer, 1, 1, 1, 2 );

    mEncGroup = new QButtonGroup( this, "mEncGroup" );
    mEncGroup->setColumnLayout(0, Qt::Vertical );
    mEncGroup->layout()->setSpacing( 6 );
    mEncGroup->layout()->setMargin( 11 );
    mEncGroupLayout = new QVBoxLayout( mEncGroup->layout() );
    mEncGroupLayout->setAlignment( Qt::AlignTop );

    mEncNone = new QRadioButton( mEncGroup, "mEncNone" );
    mEncGroupLayout->addWidget( mEncNone );

    mEncSSL = new QRadioButton( mEncGroup, "mEncSSL" );
    mEncGroupLayout->addWidget( mEncSSL );

    mEncTLS = new QRadioButton( mEncGroup, "mEncTLS" );
    mEncGroupLayout->addWidget( mEncTLS );

    SmtpAccountWidgetBaseLayout->addMultiCellWidget( mEncGroup, 6, 6, 0, 2 );
    languageChange();
    resize( QSize(306, 320).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mServer, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( mPort, SIGNAL( valueChanged(int) ), this, SLOT( changed() ) );
    connect( mUseExternalMailer, SIGNAL( toggled(bool) ), this, SLOT( useExternalMailerToggled(bool) ) );
    connect( mUser, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( mPassword, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( mLogin, SIGNAL( toggled(bool) ), this, SLOT( loginToggled(bool) ) );
    connect( mEncGroup, SIGNAL( clicked(int) ), this, SLOT( changed() ) );

    // buddies
    mServerLabel->setBuddy( mServer );
    mPortLabel->setBuddy( mPort );
    mUserLabel->setBuddy( mUser );
    mPasswordLabel->setBuddy( mPassword );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KNConfig::SmtpAccountWidgetBase::~SmtpAccountWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KNConfig::SmtpAccountWidgetBase::languageChange()
{
    mUseExternalMailer->setText( tr2i18n( "&Use external mailer" ) );
    mServerLabel->setText( tr2i18n( "&Server:" ) );
    mPortLabel->setText( tr2i18n( "&Port:" ) );
    mUserLabel->setText( tr2i18n( "&User:" ) );
    mPasswordLabel->setText( tr2i18n( "Pass&word:" ) );
    mLogin->setText( tr2i18n( "Server requires &authentication" ) );
    mEncGroup->setTitle( tr2i18n( "Encryption" ) );
    mEncNone->setText( tr2i18n( "None" ) );
    mEncNone->setAccel( QKeySequence( QString::null ) );
    mEncSSL->setText( tr2i18n( "SSL" ) );
    mEncSSL->setAccel( QKeySequence( QString::null ) );
    mEncTLS->setText( tr2i18n( "TLS" ) );
    mEncTLS->setAccel( QKeySequence( QString::null ) );
}

void KNConfig::SmtpAccountWidgetBase::useExternalMailerToggled(bool)
{
    qWarning( "KNConfig::SmtpAccountWidgetBase::useExternalMailerToggled(bool): Not implemented yet" );
}

void KNConfig::SmtpAccountWidgetBase::loginToggled(bool)
{
    qWarning( "KNConfig::SmtpAccountWidgetBase::loginToggled(bool): Not implemented yet" );
}

/****************************************************************************
** KNConfig::SmtpAccountWidgetBase meta object code from reading C++ file 'smtpaccountwidget_base.h'
**
** Created: Mon Aug 5 17:31:17 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "smtpaccountwidget_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KNConfig::SmtpAccountWidgetBase::className() const
{
    return "KNConfig::SmtpAccountWidgetBase";
}

QMetaObject *KNConfig::SmtpAccountWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KNConfig__SmtpAccountWidgetBase( "KNConfig::SmtpAccountWidgetBase", &KNConfig::SmtpAccountWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KNConfig::SmtpAccountWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KNConfig::SmtpAccountWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KNConfig::SmtpAccountWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KNConfig::SmtpAccountWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KNConfig::SmtpAccountWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = KCModule::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"useExternalMailerToggled", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"loginToggled", 1, param_slot_2 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "useExternalMailerToggled(bool)", &slot_1, QMetaData::Protected },
	{ "loginToggled(bool)", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KNConfig::SmtpAccountWidgetBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KNConfig__SmtpAccountWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* KNConfig::SmtpAccountWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KNConfig::SmtpAccountWidgetBase" ) )
	return this;
    return KCModule::qt_cast( clname );
}

bool KNConfig::SmtpAccountWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: useExternalMailerToggled((bool)static_QUType_bool.get(_o+1)); break;
    case 2: loginToggled((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return KCModule::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KNConfig::SmtpAccountWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return KCModule::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KNConfig::SmtpAccountWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return KCModule::qt_property( id, f, v);
}

bool KNConfig::SmtpAccountWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
